<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/2/29
 * Time: 上午 11:37
 */

namespace App\Http\Requests\API\Department;


use App\Http\Requests\RuleHelper;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CreateOrUpdateRequest extends FormRequest
{
    use RuleHelper;

    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }


    public function rules(): array
    {
        return [
            'name' => 'required|max:255',
            'manager_id' => [
                'required',
                Rule::exists('users','id')->where($this->userCompanyWhere()),
            ],
            'parent_id' => [
                $this->parentIdExistsRule(),
            ]

        ];
    }

    protected function parentIdExistsRule()
    {
        // 如果 parent_id 不为 0，返回 exists 规则
        if ($this->input('parent_id') != 0) {
            return Rule::exists('department', 'id')->where($this->userCompanyWhere());
        }

        // 如果 parent_id 为 0，返回空数组以跳过 exists 验证
        return [];
    }

}
