<?php

namespace App\Http\Requests\API\Folder;

use App\Models\Enums\FolderObjectType;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rules\Enum;

class CreateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            "object_type" => [
                "required",
                new Enum(FolderObjectType::class),
            ],
            "object_id" => "required|numeric",
            "parent_id" => "required|numeric",
            "items" => "required",
        ];
    }
}
