<?php

namespace App\Http\Requests\API\ShareFile;

use App\Models\Enums\ShareFileObjectType;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rules\Enum;

class CreateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'file_ids' => 'array',
            'object_id' => 'required',
            'object_type' => [
                'required',
                new Enum(ShareFileObjectType::class),
            ],
            'expiration_time' => 'required:0,1,2,3',
        ];
    }
}
