<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class FileByObjectResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'extension' => $this->extension,
            'download_url' => Storage::url($this->pathname),
            'size' => $this->size,
            'created_by' => new UserProfileResource($this->createdBy),
            'created_at' => (string)$this->created_at,
            'version' => $this->version,
        ];
    }
}
