<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ProjectRequirementResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'priority' => $this->priority,
            'title' => $this->title,
            'requirement_group_id' => $this->requirement_group_id ?? 0,
            'requirement_group' => new RequirementGroupParentResource($this->group),
            'created_by' => new UserProfileResource($this->createdBy),
            'status' => $this->status,
        ];
    }
}
