<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class TaskResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id" => $this->id,
            "name" => $this->name,
            "parent_id" => $this->parent_id,
            "begin" => $this->begin,
            "end" => $this->end,
            "status" => $this->status,
            "assign_to" => new UserProfileResource($this->assignTo),
            "created_by" => new UserProfileResource($this->createdBy),
            //"children" => TaskResource::collection($this->children),
            'children' => $this->when($this->children->isNotEmpty(),function (){
                return $this->children->map(function ($child){
                    return new TaskResource($child);
                })->all();
            }),
        ];
    }
}
