<?php

namespace App\ModelFilters;

use EloquentFilter\ModelFilter;

class AssetFilter extends ModelFilter
{
    /**
    * Related Models that have ModelFilters as well as the method on the ModelFilter
    * As [relationMethod => [input_key1, input_key2]].
    *
    * @var array
    */
    public $relations = [];

    public function status($status): ModelFilter
    {
        return $this->where('status', $status);
    }

    public function code($code): ModelFilter
    {
        return $this->where('code', 'like', "%$code%");
    }

    public function name($name): ModelFilter
    {
        return $this->where('name', 'like', "%$name%");
    }

    public function group($group_id){
        //前端传0时代group_id为空
        if($group_id==0){
            return $this->whereNull('group_id');
        }
        return $this->where('group_id',$group_id);
    }
}
