<?php

namespace App\Models;

use App\Models\Scopes\CompanyScope;
use EloquentFilter\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class AssetGroup extends Model
{
    use HasFactory, SoftDeletes, Filterable;

    protected $fillable = [
        'company_id',
        'name',
        'sequence'
    ];

    protected static function booted(): void
    {
        static::addGlobalScope(new CompanyScope);
    }

    public function Assets(){
        return $this->hasMany(Asset::class,'group_id');
    }
}
