<?php

namespace App\Models\Enums;

enum ObjectAction: string
{
    case UPLOADED = "uploaded";

    case UNDELETED = "undeleted";

    case SUBMITTED = "submitted";

    case STARTED = "started";

    case REVIEWED = "reviewed";

    case RESTARTED = "restarted";

    case RESPOND = "respond";

    case PAUSED = "paused";

    case OPENED = "opened";

    case MOVED = "moved";

    case ISSUED = "issued";

    case FINISHED = "finished";

    case CREATED = "created";

    case EDITED = "edited";

    case DONE = "done";

    case DELAY = "delay"; //延迟

    case DELETED = "deleted";

    case CONFIRMED = "confirmed";

    case CLOSED = "closed";

    case CHANGED = "changed";

    case CANCELED = "canceled";

    case ASSIGNED = "assigned";

    case DELETED_FILE = "deletedFile";

    case EDITED_FILE = "editedFile";

    case HIDDEN = "hidden";

    case COMMENTED = "commented";

    case ACTIVATED = "activated";

    case BLOCKED = "blocked";

    case LINKED_TO_PLAN = "linkedToPlan";

    case CHANGED_STATUS = "change status";

    case VERIFIED = "verified";

    case SUSPENDED = "suspended";

    case LINK_CHILDREN_TASK = "linkChildrenTask";

    case UNLINK_CHILDREN_TASK = "unlinkChildrenTask";

    case BATCH_CREATE_TASK = "batchCreateTask";

    case DELETE_CHILDREN_TASK = "deleteChildrenTask";

    case WAITED ="waited";

    public static function messageNotificationItems()
    {
        return [
            ActionObjectType::REQUIREMENT->value => [
                self::CREATED,
                self::EDITED,
                self::STARTED,
                self::CHANGED,
                self::CLOSED,
            ],
            ActionObjectType::TASK->value => [
                ObjectAction::STARTED,
                ObjectAction::PAUSED,
                ObjectAction::CLOSED,
                ObjectAction::DONE,
                ObjectAction::CANCELED,
                ObjectAction::EDITED,
            ]
        ];
    }
}
