<?php

namespace App\Models;

use App\Models\Scopes\CompanyScope;
use EloquentFilter\Filterable;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * @method static \Illuminate\Database\Eloquent\Builder allowed()
 */
class Library extends Model
{
    use HasFactory, Filterable;

    protected $guarded = [
        'id'
    ];

    protected static function booted(): void
    {
        static::addGlobalScope(new CompanyScope);
    }

    public function scopeAllowed(Builder $query): void
    {

    }

    public function container(): \Illuminate\Database\Eloquent\Relations\HasMany
    {
        return $this->hasMany(Container::class, "library_id");
    }
}
