<?php

namespace App\Models;

use EloquentFilter\Filterable;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class NamingRule extends Model
{
    use HasFactory, Filterable;

    public $timestamps = false;

    protected $guarded = [
        'id'
    ];

    protected $casts = [
        'combination_rules' => 'array'
    ];

    public function scopeAllowed(Builder $query)
    {
        if (!Auth::user()->super_admin) {
            $query->where("company_id", Auth::user()->company_id);
        }
    }

    public function company(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(Company::class);
    }
}
