<?php

namespace App\Models;

use EloquentFilter\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RequirementGroup extends Model
{
    use HasFactory,Filterable;

    protected $fillable = [
        'name', 'abbr_name', 'asset_id','parent_id','company_id'
    ];

    public function children()
    {
        return $this->hasMany(RequirementGroup::class, 'parent_id');
    }

    public function parent()
    {
        return $this->belongsTo(RequirementGroup::class, 'parent_id');
    }

    public function requirement(){
        return $this->hasMany(Requirement::class,'requirement_group_id');
    }
}
