<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ShareFile extends Model
{
    use HasFactory;

    protected $fillable = [
        'object_type', 'object_id', 'uuid', 'files', 'expiration_time', 'created_by'
    ];

    protected $casts = [
        'files' => 'array',
    ];

    public function createdBy()
    {
        return $this->belongsTo(User::class, "created_by");
    }
}
