<?php

namespace App\Services\File\BIM;

use App\Services\File\BIM\BlackHole\BlackHole;
use App\Services\File\BIM\Contacts\BIMContact;
use App\Services\File\BIM\Glendale\Glendale;

class BIMFactory
{
    public static function make(string $driver = null): BIMContact
    {
        $driver = $driver ? $driver : config("bim.default");

        return match ($driver) {
            BIMDriverEnum::BLACK_HOLE->value => new BlackHole(),
            BIMDriverEnum::GLENDALE->value => new Glendale(),
        };
    }
}
