<?php

namespace App\Services\File\BIM\Glendale;

class ExtensionModelConfig
{
    public static function getConfigOption(string $extension): array
    {
        return match ($extension) {
            "rvt" => [
                "style" => 1,
                "zGrid" => 0,
                "drawing" => 0,
                "accuracy" => 5,
                "vertexNormal" => 1,
                "locationType" => 3,
                "type" => 4,
                "draco" => 1,
                "isInstance" => 1,
                "faceNumLimit" => 300000,
                "materialType" => 1
            ],
            'dwg', 'dwf', 'dws', 'dwt' => [
                "style" => 0,
                "zGrid" => 0,
                "drawing" => 0,
                "accuracy" => 5,
                "vertexNormal" => 0,
                "unitRatio" => 0.001,
                "type" => 2,
                "isInstance" => 0,
                "draco" => 0,
                "engineType" => 1,
                "combineTexture" => 0
            ],
            default => [
                "style" => 0,
                "zGrid" => 0,
                "drawing" => 0,
                "accuracy" => 5,
                "vertexNormal" => 1,
                "type" => 4,
                "draco" => 1,
                "isInstance" => 1,
                "faceNumLimit" => 300000,
                "materialType" => 1
            ]
        };
    }
}
