<?php

namespace App\Services\History\Converter;

use App\Models\User;
use Illuminate\Support\Collection;

class EmailConverter extends EagerLoadingConverter implements ConverterContact
{
    protected static Collection $items;

    public function handle(mixed $value)
    {
        if (! $value) {
            return null;
        }

        $items = json_decode($value, true);

        $names = [];
        foreach ($items as $item) {
            if (self::$items?->has($item)) {
                $names[] = self::$items?->get($item);
            }
        }

        return implode(",", $names);
    }

    public static function eagerLoad(array $items): void
    {
        self::$items = User::query()->whereIn("id", $items)->pluck("name", "id");
    }
}
