<?php

namespace Database\Factories;

use App\Models\Project;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Facades\Auth;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\TeamMember>
 */
class TeamMemberFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'join_at' => Carbon::now(),
            'project_id' => Project::factory(),
            'user_id' => User::factory(),
            'created_by' => Auth::id(),
            'role' => fake()->text(10),
            'limited' => false,
        ];
    }
}
