<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('libraries', function (Blueprint $table) {
            $table->id();
            $table->string("type", 20);
            $table->integer("asset_id")->nullable()->index();
            $table->integer("company_id")->index();
            $table->integer("project_id")->nullable()->index();
            $table->string("name", 60);
            $table->string("acl", 20)->default("private");
            $table->string("whitelist")->nullable();
            $table->integer("created_by")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('libraries');
    }
};
