<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('assets', function (Blueprint $table) {
            //
            $table->string('equity_interest')->comment('净权益')->nullable();
            $table->string('developer')->comment('开发商')->nullable();
            $table->integer('date_completed')->comment('资产完成年份(纯年份)')->nullable();
            $table->string('total_floor_area')->comment('总建筑面积')->nullable();
            $table->string('contact_person')->comment('联系人')->nullable();
            $table->string('contact_phone')->comment('联系人电话')->nullable();
            $table->string('contact_email')->comment('联系人邮箱')->nullable();
            $table->string('property')->comment('物业')->nullable();
            $table->text('building_type_description')->comment('建筑类型描述')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('assets', function (Blueprint $table) {
            //
            $table->dropColumn(['equity_interest','developer','date_completed','total_floor_area','contact_person','contact_phone','contact_email','property','building_type_description']);
        });
    }
};
