<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('files', function (Blueprint $table) {
            $table->id();
            $table->integer("company_id")->index();
            $table->string("pathname", 100);
            $table->string("title");
            $table->string("extension", 30);
            $table->integer("size")->default(0);
            $table->string("object_type", 30)->nullable();
            $table->integer("object_id")->nullable();
            $table->integer("created_by")->nullable();
            $table->smallInteger("version")->default(1);
            $table->integer("downloads")->default(0);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('files');
    }
};
