<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('containers', function (Blueprint $table) {
            $table->id();
            $table->string("name", 150);
            $table->integer("company_id");
            $table->integer("library_id")->nullable();
            $table->integer("naming_rule_id")->nullable();
            $table->string("doc_stage", 50)->nullable();
            $table->string("doc_type", 50)->nullable();
            $table->json("naming_rules")->nullable();
            $table->json('mailto')->nullable();
            $table->string('email_subject')->nullable();
            $table->string('acl')->default('private')->comment('private,custom');
            $table->string("whitelist")->nullable();
            $table->integer("created_by")->nullable();
            $table->integer("version")->default(1);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('containers');
    }
};
