<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('folders', function (Blueprint $table) {
            $table->string('object_type', 30)->after("company_id");
            $table->integer('object_id')->default(0)->after("object_type");
            $table->dropColumn(["library_id"]);
            $table->dropIndex(['company_id', 'library_id']);
            $table->index(['object_type', 'object_id']);
            $table->index(['company_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('folders', function (Blueprint $table) {
            $table->dropColumn(['object_type', 'object_id']);
            $table->integer("library_id");
            $table->index(['company_id', 'library_id']);
            $table->dropIndex(['object_type', 'object_id']);
            $table->dropIndex(['company_id']);
        });
    }
};
