<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('files', function (Blueprint $table) {
            $table->integer("folder_id")->default(0)->index()->after("title");
            $table->boolean("is_latest_version")->default(false)->after("version");
            $table->index(['object_type', 'object_id']);
            $table->index(['company_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('files', function (Blueprint $table) {
            $table->dropColumn(['folder_id', 'is_latest_version']);
            $table->dropIndex(['object_type', 'object_id']);
            $table->dropColumn(['company_id']);
        });
    }
};
