<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('share_files', function (Blueprint $table) {
            $table->id();
            $table->string("object_type", 30);
            $table->integer("object_id");
            $table->string("uuid", 40)->unique();
            $table->json("files");
            $table->dateTime("expiration_time")->nullable();
            $table->integer("created_by");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('share_files');
    }
};
