<?php

use \App\Models\Enums\ProjectStatus;
use \App\Models\Enums\RequirementStatus;
use \App\Models\Enums\ProjectACL;
use \App\Models\Enums\TaskACL;
use \App\Models\Enums\ContainerACL;
use \App\Models\Enums\TaskStatus;

return [
    'project' => [
        'status' => [
            ProjectStatus::DOING->value => "In progress",
            ProjectStatus::WAIT->value => "Not Submitted",
            ProjectStatus::DONE->value => "A-Approved & B-Approved w/comment",
            ProjectStatus::PAUSE->value => "C-Amendment & Resubmission Req’d",
            ProjectStatus::CLOSED->value => "D-Rejected",
            ProjectStatus::CANCEL->value => "Cancelled",
            ProjectStatus::PENDING_REVIEW->value => "Pending for Approval",
        ],
        'acl' => [
            ProjectACL::PRIVATE->value => "Private",
            ProjectACL::CUSTOM->value => "Custom",
        ]
    ],
    'requirement' => [
        'status' => [
            RequirementStatus::DRAFT->value => "Draft",
            RequirementStatus::CHANGED->value => "Changed",
            RequirementStatus::ACTIVE->value => "Active",
            RequirementStatus::CLOSED->value => "Closed",
        ]
    ],
    'task' => [
        'status' => [
            TaskStatus::DOING->value => "In progress",
            TaskStatus::WAIT->value => "Not Submitted",
            TaskStatus::DONE->value => "A-Approved & B-Approved w/comment",
            TaskStatus::PAUSE->value => "C-Amendment & Resubmission Req’d",
            TaskStatus::CLOSED->value => "D-Rejected",
            TaskStatus::CANCEL->value => "Cancelled",
        ],
        'acl' => [
            TaskACL::PRIVATE->value => "Private",
            TaskACL::CUSTOM->value => "Custom",
        ]
    ],
    'container' => [
        'acl' => [
            ContainerACL::PRIVATE->value => "Private",
            ContainerACL::CUSTOM->value => "Custom",
        ]
    ]
];
